### Method

# Gtk TreeStoreis_ancestor

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_store_is_ancestor (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      GtkTreeIter* descendant
    )

#### Description [src]

Checks if `iter` is an ancestor of `descendant`.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter`

  The data is owned by the caller of the method.

`descendant`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if `iter` is an ancestor of `descendant`, and false otherwise.